import { baseLayerLuminance, StandardLuminance } from '@microsoft/fast-components';
import { DesignToken } from '@microsoft/fast-foundation';
import { darkColors, lightColors } from './colors';
const { create } = DesignToken;
export const gridThemeGenesisRapidTokens = {
    backgroundColor: create('rapid-grid-background-color').withDefault((elem) => baseLayerLuminance.getValueFor(elem) === StandardLuminance.LightMode
        ? lightColors.backgroundSwatch
        : darkColors.backgroundSwatch),
    borderColor: create('rapid-grid-border-color').withDefault((elem) => baseLayerLuminance.getValueFor(elem) === StandardLuminance.LightMode
        ? lightColors.borderSwatch
        : darkColors.borderSwatch),
    foregroundColor: create('rapid-grid-foreground-color').withDefault((elem) => baseLayerLuminance.getValueFor(elem) === StandardLuminance.LightMode
        ? lightColors.foregroundSwatch
        : darkColors.foregroundSwatch),
    headerForegroundColor: create('rapid-grid-header-foreground-color').withDefault((elem) => baseLayerLuminance.getValueFor(elem) === StandardLuminance.LightMode
        ? lightColors.headerForegroundSwatch
        : darkColors.headerForegroundSwatch),
    rowHoverColor: create('rapid-grid-row-hover-color').withDefault((elem) => baseLayerLuminance.getValueFor(elem) === StandardLuminance.LightMode
        ? lightColors.rowHoverSwatch
        : darkColors.rowHoverSwatch),
};
